: Class LabelCheckbox

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Class LabelCheckbox

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--org.w3c.tools.widgets.BorderPanel
                              |
                              +--org.w3c.tools.widgets.LabelCheckbox

public class LabelCheckbox
extends BorderPanel
implements java.awt.event.ItemListener

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.widgets.BorderPanel
`IN, insets, LOWERED, OUT, RAISED, SOLID`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`LabelCheckbox()` Create a new LabelCheckbox
`LabelCheckbox(int type)` Create a new LabelCheckbox
`LabelCheckbox(int type, int thickness)` Create a new LabelCheckbox

Method Summary
`java.awt.Dimension` | `getMinimumSize()`
`java.awt.Dimension` | `getPreferredSize()`
`java.awt.Dimension` | `getSize()`
`boolean` | `getState()`
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`
`void` | `setState(boolean state)`

Methods inherited from class org.w3c.tools.widgets.BorderPanel
`getInsets, paint, setInsets`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, getMaximumSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setCursor, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LabelCheckbox

    public LabelCheckbox(int type,
                         int thickness)

  Create a new LabelCheckbox

### LabelCheckbox

    public LabelCheckbox(int type)

  Create a new LabelCheckbox

### LabelCheckbox

    public LabelCheckbox()

  Create a new LabelCheckbox

Method Detail

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    itemStateChanged in interface java.awt.event.ItemListener

### setState

    public void setState(boolean state)

### getState

    public boolean getState()

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides:
    getPreferredSize in class java.awt.Container

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Overrides:
    getMinimumSize in class java.awt.Container

### getSize

    public java.awt.Dimension getSize()

  Overrides:
    getSize in class java.awt.Component

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD